{
	saved_FirstTime[0]

	Init[(s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			PlayAnimation(7);
			GiveWeapon(55);
			SetRunning();
			SetWalkToDist(8);
			SetWander(0);
		}
	}]

	WarpTo [ (xpos, ypos, zpos, walkx, walky, dest, dowalk)
	{
		SetPosition(xpos, ypos, zpos);
		if (dowalk=1)
		{
			WalkTo(walkx, walky, dest);
		}
		else
		{
			TurnTo(walkx, walky);
			SetAttackDistance(15,2);
			SetState_Patrol(1);
			SetLineOfSight(1);
		}
	}]

	ReachedDestination[(dest)
	{
		PlayAnimation(7);

		if (dest=1)
		{

			TurnToLocation( 3356, 34744);
		}

		SetAttackDistance(10,2);
		SetState_Patrol(0);
		SetLineOfSight(1);
	}]
}